classification
Title: Pegen regenerate project for Windows not working
Type: Stage: resolved
Components: Build, Windows Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: anthonypjshaw Nosy List: anthonypjshaw, jkloth, kj, lukasz.langa, miss-islington, pablogsal, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2020-04-29 02:37 by anthonypjshaw, last changed 2021-04-26 23:17 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19785 merged anthonypjshaw, 2020-04-29 02:38
PR 25389 merged kj, 2021-04-13 15:15
PR 25637 merged miss-islington, 2021-04-26 19:12
Messages (8)
msg367613 - (view) Author: anthony shaw (anthonypjshaw) * (Python triager) Date: 2020-04-29 02:37
The additional tasks in the MSBuild project for pegen regeneration are not functional:

- Setting PYTHONPATH= inline cannot be done in Windows using that method
- The task does not inherit environment variables that way
- The path to the peg_generator module is in Unix path format

PR to follow
msg367634 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-29 09:09
New changeset 9b64ef3ac7b434065dbff0048b9103999e4b491a by Anthony Shaw in branch 'master':
bpo-40432 Fix MSBuild project for Pegen grammars (#GH-9785)
https://github.com/python/cpython/commit/9b64ef3ac7b434065dbff0048b9103999e4b491a
msg390970 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-04-13 15:01
Seems that the regeneration script is not detecting correctly that needs Python3.8+ for regenerating pegen. Check for instance:

https://buildbot.python.org/all/#/builders/596/builds/2/steps/2/logs/stdio
msg391281 - (view) Author: Jeremy Kloth (jkloth) * Date: 2021-04-17 10:37
Adding windows team to the nosy list
msg391397 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-19 19:58
That'll be a change to PCbuild/find_python.bat that needs to be backported then. It probably defaults to 3.7 in all branches right now, but since 3.9 is out we can update them all to that (it downloads on demand if necessary).
msg391739 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-23 21:36
Thanks for the PR, kj! Left a suggestion for you, but otherwise it should solve the problem nicely.
msg391969 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-04-26 19:11
New changeset 425434dadc30d96dc1c0c628f954f9b6f5edd2c9 by Ken Jin in branch 'master':
bpo-40432: Use python 3.8 or higher to compile CPython on Windows (#25389)
https://github.com/python/cpython/commit/425434dadc30d96dc1c0c628f954f9b6f5edd2c9
msg391982 - (view) Author: Ɓukasz Langa (lukasz.langa) * (Python committer) Date: 2021-04-26 19:54
New changeset f65f3f0e99b27e0a4ea6bb7e30c5bdb5832a76c6 by Miss Islington (bot) in branch '3.9':
bpo-40432: Use python 3.8 or higher to compile CPython on Windows (GH-25389) (#25637)
https://github.com/python/cpython/commit/f65f3f0e99b27e0a4ea6bb7e30c5bdb5832a76c6
History
Date User Action Args
2021-04-26 23:17:22steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-04-26 19:54:33lukasz.langasetnosy: + lukasz.langa
messages: + msg391982
2021-04-26 19:12:36miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request24332
2021-04-26 19:11:51steve.dowersetmessages: + msg391969
2021-04-23 21:36:05steve.dowersetmessages: + msg391739
2021-04-19 19:58:36steve.dowersetmessages: + msg391397
2021-04-17 10:37:57jklothsetnosy: + steve.dower, jkloth, paul.moore, tim.golden, zach.ware
messages: + msg391281
components: + Windows
2021-04-13 15:15:15kjsetnosy: + kj

pull_requests: + pull_request24122
stage: resolved -> patch review
2021-04-13 15:01:38pablogsalsetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg390970
2020-04-29 09:20:04pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-04-29 09:09:25pablogsalsetmessages: + msg367634
2020-04-29 02:38:28anthonypjshawsetkeywords: + patch
stage: patch review
pull_requests: + pull_request19108
2020-04-29 02:37:10anthonypjshawcreate